% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/immunr_data_format.R
\docType{data}
\name{immunr_data_format}
\alias{immunr_data_format}
\alias{immunarch_data_format}
\title{Specification of the data format used by immunarch dataframes}
\description{
- "Clones" - number of barcodes (events, UMIs) or reads;

- "Proportion" - proportion of barcodes (events, UMIs) or reads;

- "CDR3.nt" - CDR3 nucleotide sequence;

- "CDR3.aa" - CDR3 amino acid sequence;

- "V.name" - names of aligned Variable gene segments;

- "D.name" - names of aligned Diversity gene segments or NA;

- "J.name" - names of aligned Joining gene segments;

- "V.end" - last positions of aligned V gene segments (1-based);

- "D.start" - positions of D'5 end of aligned D gene segments (1-based);

- "D.end" - positions of D'3 end of aligned D gene segments (1-based);

- "J.start" - first positions of aligned J gene segments (1-based);

- "VJ.ins" - number of inserted nucleotides (N-nucleotides) at V-J junction (-1 for receptors with VDJ recombination);

- "VD.ins" - number of inserted nucleotides (N-nucleotides) at V-D junction (-1 for receptors with VJ recombination);

- "DJ.ins" - number of inserted nucleotides (N-nucleotides) at D-J junction (-1 for receptors with VJ recombination);

- "Sequence" - full nucleotide sequence.
}
\concept{data}
